Skip to content

Submit a KYC Requirement

Request

Submit a KYC requirement for a KYC Review.

  • A KYC requirement can only be submitted if the KYC Review status is WAITING_CUSTOMER_INPUT or PASSED_WITH_REQUIREMENTS.
  • A KYC requirement should only be submitted if its state is NOT_PROVIDED and apiCollectionSupported is true.

See the KYC requirement types guide for the full list of supported requirement types, submission data structures, and accepted values.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID.

requirementKeystringrequired

The KYC requirement type to submit.

See the KYC requirement types guide for details on each type.

Enum:"ACCOUNT_INTENT""ACCOUNT_PURPOSE""ANNUAL_VOLUME""BUSINESS_ANNUAL_INCOME""BUSINESS_AUTHORISATION_ID""BUSINESS_AUTHORISATION_LETTER""BUSINESS_CONTROLLING_PERSON""BUSINESS_DIRECTORS_CHECK""BUSINESS_INCOME_CLASSIFICATION""BUSINESS_MONTHLY_VOLUME"
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodymultipart/form-datarequired
submissionDatastring, (application/json)required

A JSON string containing the following fields:

  • data — an object whose fields vary by requirement type. Some requirement types do not require a data field.
  • version — the submission version, currently "V1".
  • kycReviewId — the ID of the KYC Review this submission belongs to.

For example, the JSON payload would look like below, but it should be included as a string value in the multipart form field:

{
  "data": {
    "accountPurpose": "SENDING_MONEY_TO_FRIENDS_OR_FAMILY"
  },
  "version": "V1",
  "kycReviewId": "93a903ea-636c-4c86-a25c-cf6d2bd00e81"
}

See the KYC requirement types guide for the data structure and accepted values for each requirement type.

filesArray of strings, (binary)

One or more files to upload. Required for certain requirement types.

There are 3 accepted types for documents, they must be provided with the below content-type/Mime-type and have a matching file extension.

ContentType/MimeType & file extension:

  • image/png & .png
  • image/jpeg & (.jpg or jpeg)
  • application/pdf & .pdf

See the KYC requirement types guide for which types require files.

curl -X POST \
  'https://api.wise-sandbox.com/v2/profiles/{profileId}/kyc-requirements/{requirementKey}' \
  -H 'Authorization: Bearer <token>' \
  -F 'submissionData={"data":{"accountPurpose":"SENDING_MONEY_TO_FRIENDS_OR_FAMILY"},"version":"V1","kycReviewId":"93a903ea-636c-4c86-a25c-cf6d2bd00e81"};type=application/json' \
  -F 'files=@"<file>"'

Responses

KYC requirement successfully submitted.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content